package com.ss.android.ugc.aweme.share.entity.base;

import X.OLX;
import android.os.Bundle;
import com.bytedance.covode.number.Covode;
import java.util.ArrayList;

public class TikTokImageObject implements OLX {
    public ArrayList<String> mImagePaths;

    static {
        Covode.recordClassIndex(107059);
    }

    public boolean checkArgs() {
        return true;
    }

    public int type() {
        return 2;
    }

    public TikTokImageObject() {
    }

    public void serialize(Bundle bundle) {
        bundle.putStringArrayList("AWEME_EXTRA_IMAGE_MESSAGE_PATH", this.mImagePaths);
    }

    public TikTokImageObject(ArrayList<String> arrayList) {
        ArrayList<String> arrayList2 = new ArrayList<>();
        this.mImagePaths = arrayList2;
        arrayList2.addAll(arrayList);
    }

    public void unserialize(Bundle bundle) {
        this.mImagePaths = bundle.getStringArrayList("AWEME_EXTRA_IMAGE_MESSAGE_PATH");
    }
}
